Bug 112507 - FILEOPEN: RTF: Incorrect paragraph's width
Summary: FILEOPEN: RTF: Incorrect paragraph's width
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.0.0 target:5.4.3
Keywords: bibisected, bisected, filter:rtf, regression
Depends on:
Blocks:
 
Reported: 2017-09-19 21:32 UTC by Xisco Faulí
Modified: 2017-10-06 22:00 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
comparison MSO 2010 and LibreOffice 6.0 (1.92 MB, application/pdf)
2017-09-19 21:32 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-09-19 21:32:19 UTC
Created attachment 136386 [details]
comparison MSO 2010 and LibreOffice 6.0

Steps to reproduce:
1. Open attachment 59198 [details] from bug 48033

Observed behaviour: some paragraphs have incorrect width and they are narrower than expected. Check attached image

Reproduced in

Version: 6.0.0.0.alpha0+
Build ID: e38d2f05cb16e981381434a940aa5c89e910cc78
CPU threads: 4; OS: Linux 4.10; UI render: GL; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 1 Xisco Faulí 2017-09-19 21:34:48 UTC
Regression introduced by:

author	Miklos Vajna <vmiklos@collabora.co.uk>	2017-08-29 07:04:49 (GMT)
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2017-08-29 08:38:03 (GMT)
commit	e6ec0794858df1444f43659b568119bf126a90e6 (patch)
tree	ec43be356404747758a63a083db1d41594cea2ed
parent	8514f192c9e385550b336e57997c9e0dbd3a9bc3 (diff)
tdf#104937 RTF import: \trwWidthA is an absolute value
Not a relative one, so similar to \cellx need to convert these before
sending the value to dmapper (which expects an OOXML value, which is
always relative).

The result of the correct type is that the relative width of the last
cell in the table row is smaller, so other cells are wider -> they now
reach the expected width.

Bisected with: bibisect-linux64-6.0

Adding Cc: to Miklos Vajna

[Bug found by office-interoperability-tools]
Comment 2 Commit Notification 2017-10-03 08:39:07 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=409c230ed70707eeb5e6fcd4ab904bb4a411608a

tdf#112507 RTF import: fix too narrow table cell

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2017-10-04 09:52:52 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=476cdd99d76d108e1b4f21382fabedc38e9e6d6b&h=libreoffice-5-4

tdf#112507 RTF import: fix too narrow table cell

It will be available in 5.4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2017-10-06 22:00:26 UTC
Verified in

Version: 6.0.0.0.alpha0+
Build ID: 34f4446b0a5e04465216ff4ec2547aa82e0f06c2
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group